// Autor: Burkhard Brauer  Berliner Strae:80    25421 Pinneberg						Pinneberg den 30.5.2002
#include <kapp.h>
#include <kmainwindow.h>
#include <qfont.h>
#include <qstatusbar.h>
#include <qpushbutton.h>
#include <qtimer.h>
#include <qlabel.h>
#include <qpainter.h>
#include <qlistbox.h>
#include <qmessagebox.h>
#include <qcheckbox.h>

int const BILD_BREITE = 780, BILD_HOEHE = 550;

class KdeW : public KMainWindow
{ Q_OBJECT
private:
	bool SechsRichtigeStop;
	bool boolSechsRichtige;
	QStatusBar  *statusbar;
	QPushButton *ButtonNeuerSchein;
	QPushButton *ButtonStep;
	QPushButton *ButtonStartStop;
	QPushButton *ButtonInfo;
	QPushButton *ButtonAutoTip;
	QTimer *timer;
	QLabel *Label1,*Label2,*Label3,*Label4,*Label5;
	QListBox *ListBox1,*ListBox2;
	QPainter wMaler;
	QMessageBox *MessageBox;
	QCheckBox *Ch1;
   int dreiRichtige,vierRichtige,fuenfRichtige,fuenfRichtigePlus,sechsRichtige;
	protected:
	void mousePressEvent(QMouseEvent *);
	void paintEvent(QPaintEvent*);

	public:
	void LottoScheinZeichnen();
	void LottoTipEingeben();
	void ZeigeAnzahlRichtige();
   void vergleichen();
	KdeW(void); // Konstruktor

	public slots:
	void  NeuerSchein_clicked();
	void  ButtonStep_clicked();
	void  ButtonStartStop_clicked();
	void  ButtonAutoTip_clicked();
	void  timerZiehungen();
	void  ButtonInfo_clicked();
	void  BoxChecked();
   void  ListItemIndex(int);
};//ENDE class KdeW : public KMainWindow

KdeW::KdeW(void)
{     SechsRichtigeStop=false;
	   boolSechsRichtige=false;
		dreiRichtige=vierRichtige=fuenfRichtige=fuenfRichtigePlus=sechsRichtige=0;
		setGeometry(1,1,BILD_BREITE,BILD_HOEHE);
		setMaximumSize(BILD_BREITE, BILD_HOEHE);
		setBackgroundColor(QColor(250, 250, 200));
		this->setCaption("Lotto Simmulator!");
		statusbar=new QStatusBar(this,0);
		statusbar->setFont(QFont("courier", 10, QFont::Bold));
		statusbar->setGeometry(0,BILD_HOEHE-20,BILD_BREITE,90);

		ButtonNeuerSchein=new QPushButton("Neuer Spielschein",this);
		ButtonNeuerSchein->setFont(QFont("courier", 10, QFont::Bold));
		ButtonNeuerSchein->setGeometry(20,490,160,30);
		connect(ButtonNeuerSchein,SIGNAL(clicked()),this,SLOT(NeuerSchein_clicked()));

		ButtonStep=new QPushButton("Step",this);
		ButtonStep->setFont(QFont("courier", 10, QFont::Bold));
		ButtonStep->setGeometry(190,490,80,30);
		QObject::connect(ButtonStep,SIGNAL(clicked()),this,SLOT(ButtonStep_clicked()));

		ButtonStartStop=new QPushButton("Start/Stop",this);
		ButtonStartStop->setFont(QFont("courier", 10, QFont::Bold));
		ButtonStartStop->setGeometry(280,490,100,30);
		connect(ButtonStartStop,SIGNAL(clicked()),this,SLOT(ButtonStartStop_clicked()));

		ButtonInfo=new QPushButton("Info",this);
		ButtonInfo->setFont(QFont("courier", 10, QFont::Bold));
		ButtonInfo->setGeometry(250,330,100,100);
		connect(ButtonInfo,SIGNAL(clicked()),this,SLOT(ButtonInfo_clicked()));

		ButtonAutoTip=new QPushButton("Auto-Tip",this);
		ButtonAutoTip->setFont(QFont("courier", 10, QFont::Bold));
		ButtonAutoTip->setGeometry(250,450,100,30);
		connect(ButtonAutoTip,SIGNAL(clicked()),this,SLOT(ButtonAutoTip_clicked()));

		Label1 = new QLabel(this);
		Label1 ->setFont(QFont("courier", 10, QFont::Bold));
		Label1->setText("");
		Label1->setGeometry(390,355,170,30);

		Label2 = new QLabel(this);
		Label2 ->setFont(QFont("courier", 10, QFont::Bold));
		Label2->setText("");
		Label2->setGeometry(570,355,30,30);

		Label3 = new QLabel(this);
		Label3 ->setFont(QFont("courier", 10, QFont::Bold));
		Label3->setText("ZiehungNr:0");
		Label3->setGeometry(390,320,200,30);

		Label4 = new QLabel(this);
		Label4 ->setFont(QFont("courier", 10, QFont::Bold));
		Label4->setText("Jahre:0");
		Label4->setGeometry(600,320,160,30);

		Label5 = new QLabel(this);
		Label5 ->setFont(QFont("courier", 10, QFont::Bold));
		Label5->setText("Kosten:0.0 DM");
		Label5->setGeometry(390,390,370,30);

		ListBox1=new QListBox(this);
		ListBox1->setFont(QFont("courier", 10, QFont::Bold));
		ListBox1->setGeometry(390,425,370,95);
		connect(ListBox1,SIGNAL(selected(int)),this,SLOT(ListItemIndex(int)));

		ListBox2=new QListBox(this);
		ListBox2->setFont(QFont("courier", 10, QFont::Bold));
		ListBox2->setGeometry(20,325,198,110);
		connect(ListBox2,SIGNAL(selected(int)),this,SLOT(ListItemIndex(int)));

		Ch1=new QCheckBox("Stop bei 6-Richtige",this,0);
		Ch1 ->setFont(QFont("courier", 10, QFont::Bold));
		Ch1->setGeometry(20,445,200,30);
		Ch1->setChecked(true);  SechsRichtigeStop=true;
		connect(Ch1,SIGNAL(clicked()),this,SLOT(BoxChecked()));

		timer = new QTimer(this);
		connect(timer,SIGNAL(timeout()),this, SLOT(timerZiehungen()));

		LottoScheinZeichnen();
} // END KdeW

